Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ncsa.hdf.hdflib
Class HDFNBITCompInfo

    java.lang.Object
      ncsa.hdf.hdflib.HDFCompInfo
          ncsa.hdf.hdflib.HDFNewCompInfo
              ncsa.hdf.hdflib.HDFNBITCompInfo

    public class HDFNBITCompInfo

extends HDFNewCompInfo

This class is a container for the parameters to the HDF ``NBIT'' compression class.

In this case, the information needed is the number type, the sign extension, the fill bit, the start bit, and the number of bits to store.

For details of the HDF libraries, see the HDF Documentation at: http://hdf.ncsa.uiuc.edu

Field Summary
`int` | `bit_len`
`int` | `fill_one`
`int` | `nt`
`int` | `sign_ext`
`int` | `start_bit`

Fields inherited from class ncsa.hdf.hdflib.HDFNewCompInfo
`ctype`

Constructor Summary
`HDFNBITCompInfo()`
`HDFNBITCompInfo(int Nt, int Sign_ext, int Fill_one, int Start_bit, int Bit_len)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nt

    public int nt

### sign_ext

    public int sign_ext

### fill_one

    public int fill_one

### start_bit

    public int start_bit

### bit_len

    public int bit_len

Constructor Detail

### HDFNBITCompInfo

    public HDFNBITCompInfo()

### HDFNBITCompInfo

    public HDFNBITCompInfo(int Nt,
                           int Sign_ext,
                           int Fill_one,
                           int Start_bit,
                           int Bit_len)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD